#define MYAppContext [[NSApp delegate]applicationContext]

@interface MYApplicationDelegate : NSObject {
	IBOutlet NSMenu* statusBarMenu;
	NSStatusItem* statusBarItem;
	BOOL displayDockIcon;
	BOOL launchAtLogin;
}
- (IBAction) togglePreviewPanel:(id) sender;
- (IBAction) toggleDockIcon:(id) sender;
- (IBAction) toggleLaunchAtLogin:(id) sender;

- (IBAction) sendBugReport:(id) sender;
- (IBAction) goToHomePage:(id) sender;
- (IBAction) checkUIScripting:(id) sender;

@property (retain) NSMutableDictionary* applicationContext;

- (BOOL) displayDockIcon;
- (BOOL) launchAtLogin;

- (NSString*) requestedSearchString;
- (void) registerDefaults;
- (void) __makeStatusBarMenu;
- (BOOL) application:(NSApplication*)theApplication openLocation:(NSURL*)url;
- (void) applicationDidFinishLaunching:(NSNotification *)aNotification;
- (void) applicationWillTerminate:(NSNotification *)aNotification;
- (BOOL) openMostRecentDocument;
- (BOOL) doOpenMostRecentDocument:(NSURL*)url;
@end

